#
# spec file for package apparmor-profiles (Version 2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           apparmor-profiles
%if ! %{?distro:1}0
    %define distro suse
%endif
Summary:        AppArmor profiles that are loaded into the apparmor kernel module
Version:        2.0
Release:        34.8
Group:          Productivity/Security
Source0:        %{name}-%{version}-50.tar.gz
Patch0:         %{name}-50_61_m_P_U.patch
Patch1:         %{name}-named-slave-zones-179596.patch
Patch2:         %{name}-183800-182344.diff
License:        GPL, Other License(s), see package
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://forge.novell.com/modules/xfmod/project/?apparmor
Requires:       apparmor-parser
BuildArch: noarch
Obsoletes:      subdomain-profiles
Provides:       subdomain-profiles
# hrm, still need to enumerate each directory in these paths in files :(
%define extras_dir %{_sysconfdir}/apparmor/profiles/extras/
%define profiles_dir %{_sysconfdir}/apparmor.d/

%description
Base profiles. AppArmor is a file and network mandatory access control
mechanism. AppArmor confines processes to the resources allowed by the
systems administrator and can constrain the scope of potential security
vulnerabilities.

This package is part of a suite of tools that used to be named
SubDomain.



Authors:
--------
    seth.arnold@suse.de
    sbeattie@suse.de

%debug_package
%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1

%build
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} DISTRO=%{distro} \
	     EXTRASDIR=${RPM_BUILD_ROOT}/%{extras_dir}/

%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%attr(644, root, root) %config(noreplace) %{profiles_dir}/*
%attr(644, root, root) %config(noreplace) %{extras_dir}/*
%dir %attr(-, root, root) %{_sysconfdir}/apparmor.d/
%dir %attr(-, root, root) %{_sysconfdir}/apparmor.d/abstractions/
%dir %attr(-, root, root) %{_sysconfdir}/apparmor.d/program-chunks/
%dir %attr(-, root, root) %{_sysconfdir}/apparmor.d/tunables/
%dir %attr(-, root, root) %{_sysconfdir}/apparmor/
%dir %attr(-, root, root) %{_sysconfdir}/apparmor/profiles/
%dir %attr(-, root, root) %{_sysconfdir}/apparmor/profiles/extras/

%post

%preun

%changelog -n apparmor-profiles
* Sun Jun 18 2006 - srarnold@suse.de
- Bug 182344 - AppArmor prevents postfix to comunicate with amavis
- Bug 183800 - AppArmor denies link in Maildir
* Sat Jun 03 2006 - srarnold@suse.de
- Bug 179596 - slave zonen file is corrupt (SLES 10 &SL10.1)
  grant write access to /slave/* so that slave servers have some place
  to store zone transfers
* Thu Jun 01 2006 - srarnold@suse.de
- Bug 175388 - Profile access allows essentially execute permission when
  only read access is granted via usage of mmap system call.
- Bug 172061 - LD_PRELOAD can be exploited to change the execution path
  across exec transitions
- Bug 175598 - AppArmor denies postfix chroot
- Bug 177433 - AppArmor missing profile for postfix/cleanup access to
  /var/spool/postfix/hold
- Bug 175626 - /var/lib/ntp/etc/ntp.conf.iburst missing from ntpd profile
- Remove /usr/sbin/in.identd profile from usr.sbin.identd
* Mon May 08 2006 - srarnold@suse.de
- Bug 168035 - apparmor-profiles: lib.ld-2.2.so takes no care of x86_64
  /lib/ld-2.4 -- s390x, ppc, ppc64, too
- Bug 172670 - postfix doesn't deliver mails anymore after update from
  SLES9
* Wed May 03 2006 - srarnold@suse.de
- Bug 167798 - misc profile modifications from darix
- mlmmj, lighttpd, oidentd profiles in extras/
- new postfix helpers
  (postfix profiles now in extras/)
- broken postfix smtpd alternation expansion
- factor abstractions/nameservice
- new python, ruby, php5 abstractions
- new web-data and svn-repositories data-centric abstractions
- svn:keywords to do proper attribution
- Bug 170154 - squid dies when setting auth_param basic program
  /usr/sbin/pam_auth
- also move squid to /etc/apparmor/profilex/extras
- Add some text to the extras/README describing how to turn postfix
  profiles on again, as an example
* Tue May 02 2006 - srarnold@suse.de
- Bug 165191 - named can't write slave zones
- Bug 168581 - readaccess to /proc/meminfo not granted to nscd -- add
  sysconf(3) files to abstractions/base
- Bug 167798 - misc profile modifications from darix -- mlmmj, lighttpd,
  oidentd profiles in extras/, new postfix helpers in complain mode
  (enabled), split apart nameservice a little (non destructively), add new
  abstractions for python, ruby, and php5, add web-data and
  svn-repositories data-centric abstractions
* Sat Apr 29 2006 - srarnold@suse.de
- Add a complain mode profile for postfix/pipe
* Sat Apr 29 2006 - srarnold@suse.de
- README describing what is in /etc/apparmor/profiles/extras
- glibc 2.4 loaders
- Bug 165116 - Problem to resolve hostnames from LDAP-Database
- Bug 168581 - readaccess to /proc/meminfo not granted to nscd
- Bug 159667 - Postfix SASL authentication fails with "no mechanism available"
- mdnsd writes to console
* Fri Apr 07 2006 - dreynolds@suse.de
- seth.arnold:
- Fix for base (ntpd) - #164150
- Fix for postfix.qmgr - #156446
* Wed Apr 05 2006 - varkoly@suse.de
- Fix for posfix/smtpd postfix/smtp
- New file usr.lib.postfix.anvil
* Tue Apr 04 2006 - srarnold@suse.de
- Fix for postfix/sasl (#159667)
- Fix for NIS/portmapper nameservice capabilities
* Mon Apr 03 2006 - dreynolds@suse.de
- Fix for postalias (#158689)
- a profile update for svnserve
* Mon Mar 27 2006 - jmichael@suse.de
- Allow named to write to /var/lib/named/dyn while chrooted in
  order to support dynamically updated zones - #157478
* Mon Mar 13 2006 - srarnold@suse.de
- /usr/sbin/postfix /usr/sbin/sendmail ux, #156998
- /usr/lib/postfix/cleanup /etc/postfix/* r, #152706
* Mon Mar 13 2006 - dreynolds@suse.de
- Fix for sendmail to add a px transtion to  usr.lib.postfix.smtpd
  (#156998)
* Thu Mar 09 2006 - srarnold@suse.de
- new svnserve profile in extras (not enforcing), postfix ldap fixes #156091
- procmail now runs unconfined from postfix, sendmail
* Fri Mar 03 2006 - srarnold@suse.de
- icon caches, fontconfig
- firefox fixes #154646
- Re-enable named, clarify tunables/home
* Mon Feb 13 2006 - dreynolds@suse.de
- (seth.arnold@suse.de & sbeattie@suse.de)
- Re-enable sendmail, split apart traceroute
- Fix tunables/home to not emit multiple slashes
- Fix klogd per #143336
* Mon Feb 06 2006 - sbeattie@suse.de
- (seth.arnold) /etc/apparmor.d/tunables/home
- (seth.arnold) slight re-org, some more use of variables
* Sun Jan 29 2006 - sbeattie@suse.de
- Add svn repo number to tarball name
- Rename /etc/subdomain.d/ to /etc/apparmor.d/
- Add /lib/power5+/ to base for ppc (#146135)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - dreynolds@suse.de
-   Removal of profiles referencing /home/.
* Fri Dec 09 2005 - sbeattie@suse.de
- dreynolds: remove unused netdomain rules
- srarnold: allow read access to policy subdirs
* Thu Dec 08 2005 - sbeattie@suse.de
- rename subdomain-profiles to apparmor-profiles
- Relicense package to GPL
- reset version to 2.0-1
- profile updates
